Bug 150325 - CAN-2005-0761 Bug in parsing PSD files
Summary: CAN-2005-0761 Bug in parsing PSD files
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard: impact=low,public=20040609,source=ven...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-04 16:52 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-19 02:54:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-03-04 16:52:52 UTC
+++ This bug was initially created as a clone of Bug #150323 +++

This issue consists of two bugs:

- conversion from and to quantum, it probably worked only for quantumdepth=8,
  but ImageMagick was compiled with quantumdepth=16.
  The attached patch fixes it.

- The function ReadBlobByte returns values in range 0-255 or (int)-1 on EOF.
  The return value -1 is not checked on many places. The patch
  adds some type conversion, so that it does not crash on issue3.psd.
  However it could crash elsewhere.

The patch for this issue is attachment 111669 [details]
The demo exploit for this issue is attachment 111670 [details]

Comment 1 Matthias Clasen 2005-03-19 02:54:26 UTC
Fixed by moving to 6.2.0


Note You need to log in before you can comment on or make changes to this bug.